Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push
Class UriTemplateStrategy

    java.lang.Object
      org.hornetq.rest.queue.push.UriStrategy
          org.hornetq.rest.queue.push.UriTemplateStrategy

All Implemented Interfaces:
  PushStrategy

Direct Known Subclasses:
  HornetQPushStrategy

    public class UriTemplateStrategy

extends UriStrategy

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.hornetq.rest.queue.push.UriStrategy
`client, contentType, executor, method, registration, targetUri`

Constructor Summary
`UriTemplateStrategy()`

Method Summary
`protected java.lang.String` | `createUri(org.hornetq.api.core.client.ClientMessage message)`

Methods inherited from class org.hornetq.rest.queue.push.UriStrategy
`initAuthentication, push, setRegistration, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UriTemplateStrategy

    public UriTemplateStrategy()

Method Detail

### createUri

    protected java.lang.String createUri(org.hornetq.api.core.client.ClientMessage message)

  Overrides:
    `createUri` in class `UriStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.